Bug 1127636 (scidavis) - Review Request: scidavis - Application for Scientific Data Analysis and Visualization
Summary: Review Request: scidavis - Application for Scientific Data Analysis and Visua...
Keywords:
Status: CLOSED ERRATA
Alias: scidavis
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dmitrij S. Kryzhevich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 09:37 UTC by Christian Dersch
Modified: 2014-12-30 04:54 UTC (History)
5 users (show)

Fixed In Version: scidavis-1.D8-6.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-30 03:59:29 UTC
kryzhev: fedora-review+


Attachments (Terms of Use)

Description Christian Dersch 2014-08-07 09:37:42 UTC
Spec URL: https://lupinix.fedorapeople.org/packages/scidavis/scidavis.spec
SRPM URL: https://lupinix.fedorapeople.org/packages/scidavis/scidavis-1.D8-3.fc20.src.rpm

Description: 
SciDAVis is a free interactive application aimed at data analysis and 
publication-quality plotting. It combines a shallow learning curve and
an intuitive, easy-to-use graphical user interface with powerful 
features such as scriptability and extensibility.

Fedora Account System Username: lupinix

Note: scidavis was already part of Fedora some releases ago (until f15)

Thanks for review in advance!

Comment 1 Christian Dersch 2014-09-06 09:51:03 UTC
Still waiting for a review :(

Comment 2 Christian Dersch 2014-12-11 00:59:38 UTC
liborigin2 is in Fedora >= 20 now, scidavis is still waiting for a review. I will fix some small issues in spec file soon (hopefully at the next weekend).

Comment 3 Dmitrij S. Kryzhevich 2014-12-13 06:46:17 UTC
Hi! Thanks for packaging it.

Some issues.

Looks like you'v fogotten to add postin and postun scripts:
1) gtk-update-icon-cache (you have icons)
2) desktop-file-validate (you have .desktop file)
3) update-desktop-database (you have mine description)

Plugins have .so symlinks that used mainly for developing others applications. Do you realy need them? I see two possibilities:
1) Scidavis require plugins to be unversioned .so files (as it usualy does). That require fixing build script.
2) Scidavis require versioniesed plugins and .so files are not required. If you think they could be used for some other applications they could be putted into -devel subpackage.

There is no direct link to scidavis sources. One still could get it mannually but realy have to?

Some files have GPLv3+ license, you should update License tag to "GPLv2+ and GPLv3+".

/etc/scidavisrc.py was copiled and files "scidavisrc.pyc" "scidavisrc.pyo" were placed with original .py one. If it is realy config it shoud not to be compiled and should be marked as config in spec.

Those issues rather small, I believ scidavis would be in repo soon.

Comment 4 Christian Dersch 2014-12-13 15:12:15 UTC
Thank you for the review :) I also recognized the missing pistin/postun scripts, that's what i meant by "small issues".

About the plugins: Point 1.) matches the situation, but what do you mean by "That require fixing build script."?

I will change the Source to the remote URL. This is a mistake in spec because I was packaging svn snapshots before the 1.D8 release.

Comment 5 Dmitrij S. Kryzhevich 2014-12-15 03:37:22 UTC
(In reply to Christian Dersch from comment #4)
> About the plugins: Point 1.) matches the situation, but what do you mean by
> "That require fixing build script."?

Plugins should be shipped as .so file and as .so file to be actual plugin. Now it is a symlink for something else. I.e.:

# cd /usr/lib64/scidavis/plugins && ls *explin*

lrwxrwxrwx 1 root root    18 дек 13 10:56 libexplin.so -> libexplin.so.1.0.0
lrwxrwxrwx 1 root root    18 дек 13 10:56 libexplin.so.1 -> libexplin.so.1.0.0
lrwxrwxrwx 1 root root    18 дек 13 10:56 libexplin.so.1.0 -> libexplin.so.1.0.0
-rwxr-xr-x 1 root root 11088 дек 13 10:56 libexplin.so.1.0.0

Should became

# cd /usr/lib64/scidavis/plugins && ls *explin*

-rwxr-xr-x 1 root root 11088 дек 13 10:56 libexplin.so

I addition. Tests were compiled but not run. What was the reason?

Comment 6 Christian Dersch 2014-12-15 15:31:26 UTC
Which tests do you mean? I also recognized "make check" prepared in Makefile, but it doesn't do any tests here. Added a comment in spec and wuill discuss this with upstream.

Following Spec and SRPM hopefully fix all issues:

Spec URL: https://lupinix.fedorapeople.org/packages/scidavis/scidavis.spec
SRPM URL: https://lupinix.fedorapeople.org/packages/scidavis/scidavis-1.D8-4.fc21.src.rpm

Koji rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8385936

Comment 7 Christian Dersch 2014-12-15 15:34:56 UTC
Seems to fail on arm, will try to fugure out why. Maybe I need to add ExcludeArch tag for this :(

Comment 8 Björn 'besser82' Esser 2014-12-15 15:43:01 UTC
(In reply to Christian Dersch from comment #7)
> Seems to fail on arm, will try to fugure out why. Maybe I need to add
> ExcludeArch tag for this :(

Then don't forget to create a tracking bug for this package, after the package was created, add this tracking bug to bug #485251, and create a bug with proper "depends on" for every package depending on this.

Comment 9 Christian Dersch 2014-12-15 16:08:04 UTC
Added ExcludeArch as it doesn't build on arm and I cant find a reason right now. 

Spec URL: https://lupinix.fedorapeople.org/packages/scidavis/scidavis.spec
SRPM URL: https://lupinix.fedorapeople.org/packages/scidavis/scidavis-1.D8-5.fc21.src.rpm

Koji rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8386097

Comment 10 Dmitrij S. Kryzhevich 2014-12-19 05:54:12 UTC
OK License.
OK Building
OK Scriptlets
OK Spec file
OK Rmplint otput

Sources md5 summs matched
Package installs and works as expected.

rpmlint:
Checking: scidavis-1.D8-5.fc22.x86_64.rpm
          scidavis-1.D8-5.fc22.src.rpm
scidavis.x86_64: W: spelling-error %description -l en_US scriptability -> script ability, script-ability, inscrutability
scidavis.x86_64: W: spelling-error %description -l en_US extensibility -> sensibility, extensible
scidavis.x86_64: W: non-conffile-in-etc /etc/scidavisrc.py
scidavis.x86_64: W: no-manual-page-for-binary readWriteProject
scidavis.x86_64: W: no-manual-page-for-binary scidavis
scidavis.src: W: spelling-error %description -l en_US scriptability -> script ability, script-ability, inscrutability
scidavis.src: W: spelling-error %description -l en_US extensibility -> sensibility, extensible
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

Seems good.

In addition. It would be nice if you prepare man file.

Approved.

Comment 11 Christian Dersch 2014-12-19 11:53:01 UTC
Thank you for reviewing this package :) I will discuss about man with upstream.

Comment 12 Christian Dersch 2014-12-19 11:53:40 UTC
Package Change Request
======================
Package Name: scidavis
New Branches: devel f20 f21
Owners: lupinix

Info: scidavis existed some time ago but retired.

Comment 13 Gwyn Ciesla 2014-12-19 13:46:52 UTC
Git done (by process-git-requests).

Comment 14 Christian Dersch 2014-12-19 19:37:13 UTC
Package Change Request
======================
Package Name: scidavis
New Branches: devel 
Owners: lupinix

Seems that access to devel was not added :(

Info: scidavis existed some time ago but retired.

Comment 15 Gwyn Ciesla 2014-12-19 21:09:29 UTC
Complete.

Comment 16 Fedora Update System 2014-12-20 12:12:50 UTC
scidavis-1.D8-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/scidavis-1.D8-5.fc21

Comment 17 Fedora Update System 2014-12-20 12:16:59 UTC
scidavis-1.D8-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/scidavis-1.D8-5.fc20

Comment 18 Björn 'besser82' Esser 2014-12-20 14:53:26 UTC
Please open a seperate bug for the ExcludeArch:  %{arm}.

Spec-file doesn't properly handle translations…  "Keep in mind that usage of %find_lang in packages containing locales is a MUST."  [1]


[1]  http://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files

Comment 19 Fedora Update System 2014-12-20 18:34:49 UTC
scidavis-1.D8-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/scidavis-1.D8-6.fc21

Comment 20 Fedora Update System 2014-12-20 18:41:57 UTC
scidavis-1.D8-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/scidavis-1.D8-6.fc20

Comment 21 Christian Dersch 2014-12-20 19:29:10 UTC
Thank you for your comments :)

(In reply to Björn "besser82" Esser from comment #18)
> Please open a seperate bug for the ExcludeArch:  %{arm}.

https://bugzilla.redhat.com/show_bug.cgi?id=1176345

> 
> Spec-file doesn't properly handle translations…  "Keep in mind that usage of
> %find_lang in packages containing locales is a MUST."  [1]

Fixed in scidavis-1.D8-6

Comment 22 Fedora Update System 2014-12-22 02:37:58 UTC
scidavis-1.D8-6.fc21 has been pushed to the Fedora 21 testing repository.

Comment 23 Fedora Update System 2014-12-30 03:59:29 UTC
scidavis-1.D8-6.fc21 has been pushed to the Fedora 21 stable repository.

Comment 24 Fedora Update System 2014-12-30 04:00:15 UTC
scidavis-1.D8-6.fc20 has been pushed to the Fedora 20 stable repository.

Comment 25 Orion Poplawski 2014-12-30 04:54:26 UTC
What's up with 3rdparty/minigzip?


Note You need to log in before you can comment on or make changes to this bug.